Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.user.service
Class LiveUserHandle

    java.lang.Object
      lbg.user.service.LiveUserHandle

All Implemented Interfaces:
  java.io.Serializable, UserHandle

    public class LiveUserHandle

extends java.lang.Object
implements UserHandle, java.io.Serializable

Live Implementation of the User Handle

Author:
  Xavier Dalem
See Also:
  Serialized Form

Constructor Summary
`LiveUserHandle(java.lang.String id, java.lang.String user_host, int user_port)` Create a handle

Method Summary
`java.lang.String` | `id()` Get user id
`void` | `notifyCompletedJob(Task t)` Notify a user of a completed job
`void` | `notifyCompletedTask(Task t)` Notify a user of a completed task
`java.lang.String` | `toString()` String representation of the User Handle

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LiveUserHandle

    public LiveUserHandle(java.lang.String id,
                          java.lang.String user_host,
                          int user_port)
                   throws GridException

  Create a handle

  Parameters:
    `id` - User id
    `user_host` - User host
    `user_port` - User port
  Throws:
    `GridException` - if the parameters are erroneous

Method Detail

### toString

    public java.lang.String toString()

  String representation of the User Handle

  Overrides:
    `toString` in class `java.lang.Object`

### id

    public java.lang.String id()

  Get user id

  Specified by:
    `id` in interface `UserHandle`

### notifyCompletedTask

    public void notifyCompletedTask(Task t)
                             throws GridException

  Notify a user of a completed task

  Specified by:
    `notifyCompletedTask` in interface `UserHandle`
  Parameters:
    `t` - The completed task
  Throws:
    `GridException` - if call cannot be sent

### notifyCompletedJob

    public void notifyCompletedJob(Task t)
                            throws GridException

  Notify a user of a completed job

  Specified by:
    `notifyCompletedJob` in interface `UserHandle`
  Parameters:
    `t` - Last task from the completed job
  Throws:
    `GridException` - if call cannot be sent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.